predictionio-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Donald Szeto <don...@apache.org>
Subject Re: Prediction.IO error while creating new app
Date Tue, 11 Apr 2017 16:08:57 GMT
Is the java command on your search path pointing to your Java 8
installation?

In any case, you can set your JAVA_HOME environment variable to make sure
pio is using the right Java installation.

On Tue, Apr 11, 2017 at 12:21 AM Ravi Kiran <ravi.gunale@gmail.com> wrote:

> I am starting new app using query
>
>     pio app new sample_app
>
> I get this error:
>
> [INFO] [App$] Initialized Event Store for this app ID: 6
> Exception in thread "main" java.lang.NoSuchMethodError: java.security.SecureRandom.getInstanceStrong()Ljava/security/SecureRandom
>
> Most of the answers suggest to use Java 8 but I already have Java 8 (java
> version "1.8.0_121") Let me know if additional info is needed
>

Mime
View raw message